cURL
curl --request POST \
--url https://api.vinkit.co/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"excerpt": "<string>",
"slug": "<string>",
"status": "draft",
"tags": [
"<string>"
],
"cover_image": "<string>"
}
'import requests
url = "https://api.vinkit.co/v1/posts"
payload = {
"title": "<string>",
"content": "<string>",
"excerpt": "<string>",
"slug": "<string>",
"status": "draft",
"tags": ["<string>"],
"cover_image": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
excerpt: '<string>',
slug: '<string>',
status: 'draft',
tags: ['<string>'],
cover_image: '<string>'
})
};
fetch('https://api.vinkit.co/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"content": "<string>",
"excerpt": "<string>",
"tags": [
"<string>"
],
"cover_image": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": 123,
"message": "<string>"
}Posts
Créer un article
Crée un nouvel article sur votre blog
POST
/
posts
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Données de l'article à créer
Titre de l'article
Contenu de l'article en Markdown
Extrait court de l'article
Slug URL personnalisé (optionnel, généré automatiquement sinon)
Statut initial (published ou draft, défaut: draft)
Available options:
published, draft Tags à associer à l'article
URL de l'image de couverture
Response
Article créé
Identifiant unique de l'article
Titre de l'article
Statut de l'article
Available options:
published, draft, scheduled, archived Slug URL de l'article
Contenu de l'article en Markdown
Extrait court de l'article
Liste des tags associés
URL de l'image de couverture
Date de publication (ISO 8601)
Date de création (ISO 8601)
Was this page helpful?
⌘I